{include file="documentHeader"}
<head>
	<title>{lang}{$board->title}{/lang} - {PAGE_TITLE}</title>
	
	{include file='headInclude' sandbox=false}
	
	<script type="text/javascript" src="{@RELATIVE_WCF_DIR}js/MultiPagesLinks.class.js"></script>
</head>
<body>
{* --- quick search controls --- *}
{assign var='searchFieldTitle' value='{lang}wbb.board.search.query{/lang}'}
{capture assign=searchHiddenFields}
	<input type="hidden" name="boardIDs[]" value="{@$boardID}" />
	<input type="hidden" name="types[]" value="post" />
{/capture}
{* --- end --- *}
{include file='header' sandbox=false}

<div id="main">
	
	{include file="navigation"}
	
	<div class="mainHeadline">
		<img src="{@RELATIVE_WBB_DIR}icon/boardL.png" alt="" />
		<div class="headlineContainer">
			<h2><a href="index.php?page=Board&amp;boardID={@$boardID}{@SID_ARG_2ND}">{lang}{$board->title}{/lang}</a></h2>
			<p>{lang}{if $board->allowDescriptionHtml}{@$board->description}{else}{$board->description}{/if}{/lang}</p>
		</div>
	</div>
	
	{if $userMessages|isset}{@$userMessages}{/if}
	
	{include file="boardList"}
	
	{if $board->isBoard()}
		<div class="contentHeader">
			{assign var=multiplePagesLink value="index.php?page=Board&boardID=$boardID&pageNo=%d"}
			{if $sortField != $defaultSortField}{assign var=multiplePagesLink value=$multiplePagesLink|concat:'&sortField=':$sortField}{/if}
			{if $sortOrder != $defaultSortOrder}{assign var=multiplePagesLink value=$multiplePagesLink|concat:'&sortOrder=':$sortOrder}{/if}
			{pages print=true assign=pagesOutput link=$multiplePagesLink|concat:SID_ARG_2ND_NOT_ENCODED}
			{if $board->canStartThread() || $additionalLargeButtons|isset}
				<div class="largeButtons">
					<ul>
						{if $board->canStartThread()}<li><a href="index.php?form=ThreadAdd&amp;boardID={@$boardID}{@SID_ARG_2ND}"><img src="{@RELATIVE_WBB_DIR}icon/threadNewM.png" alt="" /> <span>{lang}wbb.board.button.newThread{/lang}</span></a></li>{/if}
						{if $additionalLargeButtons|isset}{@$additionalLargeButtons}{/if}
					</ul>
				</div>
			{/if}
		</div>
	
		{if $normalThreads|count == 0}
			<div class="border content">
				<div class="container-1">
					<p>{lang}wbb.board.noThreads{/lang}</p>
				</div>
			</div>
		{else}
			{if $normalThreads|count > 0}
				{include file="boardThreads" title="{lang}wbb.board.threads.normal{/lang}" threads=$normalThreads}
			{/if}
		{/if}
	
		<div class="contentFooter">
			{@$pagesOutput}
			
			{if $board->canStartThread() || $additionalLargeButtons|isset}
				<div class="largeButtons">
					<ul>
						{if $board->canStartThread()}<li><a href="index.php?form=ThreadAdd&amp;boardID={@$boardID}{@SID_ARG_2ND}"><img src="{@RELATIVE_WBB_DIR}icon/threadNewM.png" alt="" /> <span>{lang}wbb.board.button.newThread{/lang}</span></a></li>{/if}
						{if $additionalLargeButtons|isset}{@$additionalLargeButtons}{/if}
					</ul>
				</div>
			{/if}
		</div>
	{/if}
	
	{if $board->isBoard() || $additionalBoxes|isset}
		{cycle values='container-1,container-2' print=false advance=false}
		<div class="border infoBox">
			{if $board->isBoard()}
				<div class="{cycle}">
					<div class="containerIcon"><img src="{@RELATIVE_WBB_DIR}icon/threadSortM.png" alt="" /> </div>
					<div class="containerContent">
						<h3>{lang}wbb.board.sorting{/lang}</h3>
						<form method="get" action="index.php">
							<div class="threadSort">
								<input type="hidden" name="page" value="Board" />
								<input type="hidden" name="boardID" value="{@$boardID}" />
								<input type="hidden" name="pageNo" value="{@$pageNo}" />
								
								<div class="floatedElement">
									<label for="sortField">{lang}wbb.board.sortBy{/lang}</label>
									<select name="sortField" id="sortField">
										<option value="topic"{if $sortField == 'topic'} selected="selected"{/if}>{lang}wbb.board.sortBy.topic{/lang}</option>
										<option value="username"{if $sortField == 'username'} selected="selected"{/if}>{lang}wbb.board.sortBy.starter{/lang}</option>
										<option value="time"{if $sortField == 'time'} selected="selected"{/if}>{lang}wbb.board.sortBy.startTime{/lang}</option>
										<option value="replies"{if $sortField == 'replies'} selected="selected"{/if}>{lang}wbb.board.sortBy.replies{/lang}</option>
										<option value="views"{if $sortField == 'views'} selected="selected"{/if}>{lang}wbb.board.sortBy.views{/lang}</option>
										<option value="lastPostTime"{if $sortField == 'lastPostTime'} selected="selected"{/if}>{lang}wbb.board.sortBy.lastPostTime{/lang}</option>
									</select>
									<select name="sortOrder">
										<option value="ASC"{if $sortOrder == 'ASC'} selected="selected"{/if}>{lang}wcf.global.sortOrder.ascending{/lang}</option>
										<option value="DESC"{if $sortOrder == 'DESC'} selected="selected"{/if}>{lang}wcf.global.sortOrder.descending{/lang}</option>
									</select>
								</div>
								
								<div class="floatedElement">
									<input type="image" class="inputImage" src="{@RELATIVE_WCF_DIR}icon/submitS.png" alt="{lang}wcf.global.button.submit{/lang}" />
								</div>
	
								{@SID_INPUT_TAG}
							</div>
						</form>
					</div>
				</div>
			{/if}
	
			{if $additionalBoxes|isset}{@$additionalBoxes}{/if}
		</div>
	{/if}
	
	{if $board->isBoard()}
		<div class="pageOptions">
			<a href="index.php?page=Board&amp;boardID={@$boardID}&amp;action=markAsRead{@SID_ARG_2ND}"><img src="{@RELATIVE_WBB_DIR}icon/boardMarkAsReadS.png" alt="" /> <span>{lang}wbb.board.markAsRead{/lang}</span></a>
		</div>
	{/if}
	
	{include file="boardQuickJump"}

</div>

{include file='footer' sandbox=false}
</body>
</html>