ALTER TABLE wcf1_user ADD rankID INT(10) UNSIGNED NOT NULL default 0;
ALTER TABLE wcf1_user ADD userTitle varchar(255) NOT NULL default '';
ALTER TABLE wcf1_user ADD activityPoints INT(10) UNSIGNED NOT NULL default 0;
ALTER TABLE wcf1_user ADD avatarID INT(10) UNSIGNED NOT NULL default 0;
ALTER TABLE wcf1_user ADD disableAvatar tinyint(1) NOT NULL default 0;
ALTER TABLE wcf1_user ADD lastActivityTime INT(10) UNSIGNED NOT NULL default 0;
ALTER TABLE wcf1_user ADD profileHits INT(10) UNSIGNED NOT NULL default 0;


-- user rank table
DROP TABLE IF EXISTS wcf1_user_rank;
CREATE TABLE wcf1_user_rank (
	rankID int(10) unsigned NOT NULL auto_increment,
	groupID int(10) unsigned NOT NULL default 0,
	neededPoints int(10) unsigned NOT NULL default 0,
	rankTitle varchar(255) NOT NULL default '',
	rankImage varchar(255) NOT NULL default '',
	repeatImage tinyint(3) NOT NULL DEFAULT 1,
	gender tinyint(1) NOT NULL default 0,
	PRIMARY KEY (rankID)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- default ranks
INSERT INTO wcf1_user_rank (groupID, neededPoints, rankTitle, rankImage, repeatImage) VALUES
	(4, 0, 'wcf.user.rank.administrator', 'icon/userRankAdminS.png', 3),
	(5, 0, 'wcf.user.rank.moderator', 'icon/userRankAdminS.png', 1),
	(6, 0, 'wcf.user.rank.superModerator', 'icon/userRankAdminS.png', 2),
	(3, 0, 'wcf.user.rank.user0', '', 1),
	(3, 300, 'wcf.user.rank.user1', 'icon/userRank1S.png', 1),
	(3, 900, 'wcf.user.rank.user2', 'icon/userRank2S.png', 1),
	(3, 3000, 'wcf.user.rank.user3', 'icon/userRank3S.png', 1),
	(3, 9000, 'wcf.user.rank.user4', 'icon/userRank4S.png', 1),
	(3, 15000, 'wcf.user.rank.user5', 'icon/userRank5S.png', 1);


-- ignore list table
DROP TABLE IF EXISTS wcf1_user_blacklist;
CREATE TABLE wcf1_user_blacklist (
	userID int(10) unsigned NOT NULL,
	blackUserID int(10) unsigned NOT NULL,
	UNIQUE KEY (userID, blackUserID)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- buddy list table
DROP TABLE IF EXISTS wcf1_user_whitelist;
CREATE TABLE wcf1_user_whitelist (
	userID int(10) unsigned NOT NULL,
	whiteUserID int(10) unsigned NOT NULL,
	UNIQUE KEY (userID, whiteUserID)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- avatar table
DROP TABLE IF EXISTS wcf1_avatar;
CREATE TABLE wcf1_avatar (
	avatarID int(10) unsigned NOT NULL auto_increment,
	avatarName varchar(255) NOT NULL default '',
	avatarExtension varchar(7) NOT NULL default '',
	width smallint(5) unsigned NOT NULL default 0,
	height smallint(5) unsigned NOT NULL default 0,
	groupID int(10) unsigned NOT NULL default 0,
	neededPoints int(10) unsigned NOT NULL default 0,
	userID int(10) unsigned NOT NULL default 0,
	PRIMARY KEY (avatarID),
	KEY (userID, groupID)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- activity points table
DROP TABLE IF EXISTS wcf1_user_activity_point;
CREATE TABLE wcf1_user_activity_point (
	userID int(10) UNSIGNED NOT NULL DEFAULT 0,
	packageID int(10) UNSIGNED NOT NULL DEFAULT 0,
	activityPoints int(10) UNSIGNED NOT NULL DEFAULT 0,
	UNIQUE KEY (userID, packageID),
	KEY (packageID)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- user profile menu
DROP TABLE IF EXISTS wcf1_user_profile_menu_item;
CREATE TABLE wcf1_user_profile_menu_item (
  menuItemID int(10) unsigned NOT NULL auto_increment,
  packageID int(10) unsigned NOT NULL default '0',
  menuItem varchar(255) NOT NULL default '',
  parentMenuItem varchar(255) NOT NULL default '',
  menuItemLink varchar(255) NOT NULL default '',
  menuItemIcon varchar(255) NOT NULL default '',
  showOrder int(10) NOT NULL default '0',
  permissions text NULL,
  PRIMARY KEY (menuItemID),
  UNIQUE KEY (menuItem,packageID)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;