<?php
require_once(WBB_DIR.'lib/acp/action/UpdateCounterAction.class.php');
require_once(WCF_DIR.'lib/data/message/attachment/AttachmentsEditor.class.php');

/**
 * Updates the thumbnails.
 * 
 * @author	Marcel Werk
 * @copyright	2001-2007 WoltLab GmbH
 * @license	WoltLab Burning Board License <http://www.woltlab.com/products/burning_board/license.php>
 * @package	com.woltlab.wbb.acp.action
 */
class UpdateThumbnailsAction extends UpdateCounterAction {
	public $action = 'UpdateThumbnails';
	
	/**
	 * @see Action::execute()
	 */
	public function execute() {
		parent::execute();
		
		// count threads
		$sql = "SELECT	COUNT(*) AS count
			FROM	wcf".WCF_N."_attachment
			WHERE	isImage = 1";
		$row = WCF::getDB()->getFirstRow($sql);
		$count = $row['count'];
		
		// get attachments
		$threadIDs = '';
		$sql = "SELECT		attachmentID, attachmentName
			FROM		wcf".WCF_N."_attachment
			WHERE		isImage = 1
			ORDER BY	attachmentID";
		$result = WCF::getDB()->sendQuery($sql, $this->limit, ($this->limit * $this->loop));
		if (!WCF::getDB()->countRows($result)) {
			$this->calcProgress();
			$this->finish();
		}
		while ($row = WCF::getDB()->fetchArray($result)) {
			$attachment = array(
				'attachmentID' => $row['attachmentID'],
				'attachmentName' => $row['attachmentName'],
				'attachment' => WCF_DIR.'attachments/attachment-'.$row['attachmentID']
			);
			AttachmentsEditor::saveThumbnail($attachment);
		}
		$this->executed();
		
		$this->calcProgress(($this->limit * $this->loop), $count);
		$this->nextLoop();
	}
}
?>