<?php
require_once(WCF_DIR.'lib/data/cronjobs/Cronjob.class.php');

/**
 * Updates the last activity timestamp in the user table.
 * 
 * @author	Marcel Werk
 * @copyright	2001-2007 WoltLab GmbH
 * @license	WoltLab Burning Board License <http://www.woltlab.com/products/burning_board/license.php>
 * @package	com.woltlab.wbb.system.cronjob
 */
class LastActivityCronjob implements Cronjob {
	/**
	 * @see Cronjob::execute()
	 */
	public function execute($data) {
		// update global last activity
		$sql = "UPDATE	wcf".WCF_N."_user user
			SET	lastActivityTime = IFNULL((
					SELECT	MAX(lastActivityTime)
					FROM	wcf".WCF_N."_session session
					WHERE	session.userID = user.userID
				), user.lastActivityTime)
			WHERE	userID IN (
					SELECT	userID
					FROM	wcf".WCF_N."_session
				)";
		WCF::getDB()->registerShutdownUpdate($sql);
		
		// update board last activity
		$sql = "UPDATE	wbb".WBB_N."_user user
			SET	boardLastActivityTime = IFNULL((
					SELECT	MAX(lastActivityTime)
					FROM	wcf".WCF_N."_session session
					WHERE	session.userID = user.userID
						AND packageID = ".PACKAGE_ID."
				), user.boardLastActivityTime)
			WHERE	userID IN (
					SELECT	userID
					FROM	wcf".WCF_N."_session
					WHERE	packageID = ".PACKAGE_ID."
				)";
		WCF::getDB()->registerShutdownUpdate($sql);
	}
}
?>