<?php
// wcf imports
require_once(WCF_DIR.'lib/system/event/EventListener.class.php');

/**
 * Shows the amout of posts on profile page.
 * 
 * @author	Marcel Werk
 * @copyright	2001-2007 WoltLab GmbH
 * @license	WoltLab Burning Board License <http://www.woltlab.com/products/burning_board/license.php>
 * @package	com.woltlab.wbb.system.event.listener
 */
class UserPagePostsListener implements EventListener {
	/**
	 * @see EventListener::execute()
	 */
	public function execute($eventObj, $className, $eventName) {
		if ($eventName == 'readParameters') {
			$eventObj->sqlSelects .= 'wbb_user.posts,';
			$eventObj->sqlJoins .= ' LEFT JOIN wbb'.WBB_N.'_user wbb_user
						ON (wbb_user.userID = user.userID) ';
		}
		else if ($eventName == 'assignVariables') {
			$user = $eventObj->user;
			$eventObj->informationFields[] = array(
				'title' => WCF::getLanguage()->get('wcf.user.posts'),
				'value' => '<a href="index.php?form=Search&amp;userID='.$user->userID.SID_ARG_2ND.'" title="'.WCF::getLanguage()->get('wcf.user.profile.search', array('$username' => StringUtil::encodeHTML($user->username))).'">'.StringUtil::formatInteger(intval($user->posts)) . 
					($user->getProfileAge() > 1 ? ' ' . WCF::getLanguage()->get('wcf.user.postsPerDay', array('$posts' => StringUtil::formatDouble($user->posts / $user->getProfileAge()))) : '') . '</a>');
		}
	}
}
?>